Problem installing PGI Fortran on Ubunutu 11.4

I am having trouble installing PGI Fortran Workstation 11.5 on the latest Ubuntu 11.4 (64-bit).

The problem seems to be with makelocalrc. At first, it was looking for libc.so.6 in /lib, but it wasn’t there. I made a link to it with the below statement:

ln -s /lib64/x86_64-linux-gnu/libc-2.13.so /lib64/libc.so.6

That link seemed to solve the first problem, but I have two new ones now that I don’t know how to fix. The installer gives me two errors. The first happens after the “installing software” step “ERROR: Linker : not found localrc has not changed.” The second error happens on the “generate license keys” step “ERROR: Unable to locate required tool (curl)”

Any tips?

I solved the problem. I didn’t have the gcc 32-bit libraries installed. I accomplished that by doing the following:

sudo apt-get install ia32-libs
sudo apt-get install g+±multilib

I also needed to have the link to libc.so.6 in /lib accomplished by the following link:
ln -s /lib64/x86_64-linux-gnu/libc-2.13.so /lib64/libc.so.6

Now I have PGI Workstation Fortran 11.5 working on Ubuntu 11.4 (64-bit)